package com.bwie.system.common.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.bwie.common.core.annotation.Excel;
import com.bwie.common.core.web.domain.BaseEntity;

/**
 * 员工信息对象 emp
 *
 * @author bwie
 * @date 2024-01-12
 */
public class Emp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long empId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String empName;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 生日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 工资 */
    @Excel(name = "工资")
    private BigDecimal salay;

    /** 头像 */
    @Excel(name = "头像")
    private String photo;

    public void setEmpId(Long empId)
    {
        this.empId = empId;
    }

    public Long getEmpId()
    {
        return empId;
    }
    public void setEmpName(String empName)
    {
        this.empName = empName;
    }

    public String getEmpName()
    {
        return empName;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setBirthday(Date birthday)
    {
        this.birthday = birthday;
    }

    public Date getBirthday()
    {
        return birthday;
    }
    public void setSalay(BigDecimal salay)
    {
        this.salay = salay;
    }

    public BigDecimal getSalay()
    {
        return salay;
    }
    public void setPhoto(String photo)
    {
        this.photo = photo;
    }

    public String getPhoto()
    {
        return photo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("empId", getEmpId())
            .append("empName", getEmpName())
            .append("sex", getSex())
            .append("birthday", getBirthday())
            .append("salay", getSalay())
            .append("photo", getPhoto())
            .toString();
    }
}
