package com.bwie.system.server.service;

import com.bwie.system.common.domain.Emp;

import java.util.List;


/**
 * 员工信息Service接口
 *
 * @author bwie
 * @date 2024-01-12
 */
public interface IEmpService
{
    /**
     * 查询员工信息
     *
     * @param empId 员工信息主键
     * @return 员工信息
     */
    public Emp selectEmpByEmpId(Long empId);

    /**
     * 查询员工信息列表
     *
     * @param emp 员工信息
     * @return 员工信息集合
     */
    public List<Emp> selectEmpList(Emp emp);

    /**
     * 新增员工信息
     *
     * @param emp 员工信息
     * @return 结果
     */
    public int insertEmp(Emp emp);

    /**
     * 修改员工信息
     *
     * @param emp 员工信息
     * @return 结果
     */
    public int updateEmp(Emp emp);

    /**
     * 批量删除员工信息
     *
     * @param empIds 需要删除的员工信息主键集合
     * @return 结果
     */
    public int deleteEmpByEmpIds(Long[] empIds);

    /**
     * 删除员工信息信息
     *
     * @param empId 员工信息主键
     * @return 结果
     */
    public int deleteEmpByEmpId(Long empId);
}
